---
- name: Manage Data Deduplication on a volume
  community.windows.win_data_deduplication:
    drive_letter: "{{ item['drive_letter'] }}"
    settings: "{{ item['settings'] | default(omit) }}"
    state: "{{ item['state'] | default('present') }}"
  with_items: "{{ win_resource_item | c2platform.core.resources }}"
  when:
    - win_resource_item is defined
    - win_resource_item['when'] | default(True)
  loop_control:
    label: >-
      {{ item['drive_letter'] }} → {{ item['state'] | default('present') }}
  delegate_to: "{{ item['delegate_to'] | default(omit) }}"
  tags:
    - win_data_deduplication
